import { Domain } from "../NavigationLink";
declare const AssetUrlProvider: (currentDomain: Domain) => {
    Vulnerabilities: UrlParcel<void>;
    VulnerabilityDetail: UrlParcel<{
        id: string;
    }>;
    AffectedAssetsPage: UrlParcel<{
        vulnerabilityId: string;
    }>;
    Debug: UrlParcel<void>;
    Appliances: UrlParcel<void>;
    AssetInventory: UrlParcel<void>;
    Dashboard: UrlParcel<void>;
};
declare const UserUrlProvider: (currentDomain: Domain) => {
    Security: UrlParcel<void>;
};
declare const ScanUrlProvider: (currentDomain: Domain) => {
    Tasks: UrlParcel<void>;
};
export declare class UrlProvider {
    get pathRoot(): string;
    private currentDomain;
    private _pathRoot;
    Asset: ReturnType<typeof AssetUrlProvider>;
    User: ReturnType<typeof UserUrlProvider>;
    Scan: ReturnType<typeof ScanUrlProvider>;
    constructor(domain: Domain);
}
export declare class UrlParcel<Arg = void> {
    get currentDomain(): Domain;
    private path;
    private _currentDomain;
    private targetDomain;
    private external;
    constructor(currentDomain: Domain, targetDomain: Domain, path: (args: Arg) => string);
    get isExternal(): boolean;
    private getAbsolut;
    private getRelative;
    getPath(args: Arg): string;
}
export {};
//# sourceMappingURL=UrlProvider.d.ts.map