import { Dispatch, FC, PropsWithChildren, ReactElement, ReactNode } from "react";
import { ModalProps } from "@mantine/core";
export type TModalWithOpenerConfig = {
    initiallyOpen?: boolean;
    Opener: (setOpen: Dispatch<React.SetStateAction<boolean>>) => ReactElement;
    children: ReactNode | ((setOpen: (value: boolean) => void) => ReactElement);
    onSave?: () => void;
    title?: ReactNode;
    modalProps?: Partial<ModalProps>;
};
type TModalContext = {
    setOpen: Dispatch<React.SetStateAction<boolean>>;
};
export declare const ModalContext: import("react").Context<TModalContext>;
declare const ModalWithOpener: ({ children, Opener, initiallyOpen, modalProps, title, }: TModalWithOpenerConfig) => import("react/jsx-runtime").JSX.Element;
declare const Modal: FC<PropsWithChildren<ModalProps>>;
export { ModalWithOpener, Modal };
//# sourceMappingURL=Modal.d.ts.map