import { PayloadAction } from "@reduxjs/toolkit";
import { TPaging } from "../../../../genericTypes";
export declare const pageSlice: import("@reduxjs/toolkit").Slice<TPaging, {
    gotoPageIndex(state: import("immer").WritableDraft<TPaging>, action: PayloadAction<number>): void;
    previous(state: import("immer").WritableDraft<TPaging>): void;
    setPageSize(state: import("immer").WritableDraft<TPaging>, action: PayloadAction<number>): void;
    setPageSizeAndIndex(state: import("immer").WritableDraft<TPaging>, action: PayloadAction<{
        size: number;
        index: number;
    }>): void;
    next(state: import("immer").WritableDraft<TPaging>): void;
    setTotalRowCount(state: import("immer").WritableDraft<TPaging>, action: PayloadAction<number>): void;
}, "page", "page", import("@reduxjs/toolkit").SliceSelectors<TPaging>>;
export declare function usePaging<T>(data: T[], defaultPaging?: Omit<TPaging, "totalDisplayableResults">): {
    paging: TPaging;
    gotoPageIndex: (index: number) => void;
    setPageSize: (size: number) => void;
    setTotalRowCount: (totalDisplayableResults: number) => void;
    sliceParams: number[];
};
//# sourceMappingURL=pageSlice.d.ts.map