import { PayloadAction } from "@reduxjs/toolkit";
import { TTableConfig } from "../../types";
import { TSorting } from "../../../../genericTypes";
export type TSortFunction<T> = (a: T, b: T) => number;
export declare const sortSlice: import("@reduxjs/toolkit").Slice<TSorting, {
    sort(state: import("immer").WritableDraft<TSorting>, action: PayloadAction<string>): void;
}, "sort", "sort", import("@reduxjs/toolkit").SliceSelectors<TSorting>>;
export declare function useSorting<T>(config: TTableConfig<T>): {
    sortBy: (columnId: string) => void;
    sorting: TSorting;
    sortFunction: TSortFunction<T>;
};
export declare const sortFunctionFactory: <T>(config: TTableConfig<T>, sorting: TSorting) => TSortFunction<T>;
//# sourceMappingURL=sortSlice.d.ts.map