import { MenuProps } from "@mantine/core";
import { TActionMenuItem, TActionMenuRawProps, TMenuConfig, TMenuState, TWiredActionMenuProps } from "../../types";
import { Dispatch, ReactNode } from "react";
type TcreateWiredActionMenuComponent<TDataType> = {
    setMenuState: Dispatch<{
        type: string;
        payload: {
            state?: Partial<TMenuState>;
            loading?: {
                label: string;
                isLoading: boolean;
            };
            id: string;
        };
    }>;
    menuState: TMenuConfig;
    items: TActionMenuItem<TDataType>[];
    setModalOpen: (id: string | undefined, tableProps?: TActionMenuRawProps<TDataType>) => (value?: boolean) => void;
};
declare function createWiredActionMenuComponent<TDataType>({ setMenuState, menuState, items, setModalOpen, }: TcreateWiredActionMenuComponent<TDataType>): ({ tableProps, menuProps, actionIcon }: TWiredActionMenuProps<TDataType>) => import("react/jsx-runtime").JSX.Element;
type TActionMenuProps = MenuProps & {
    actionIcon?: ReactNode;
    children: ReactNode;
};
declare const ActionMenu: ({ actionIcon, children, ...menuProps }: TActionMenuProps) => import("react/jsx-runtime").JSX.Element;
export { createWiredActionMenuComponent, ActionMenu };
//# sourceMappingURL=ActionMenu.d.ts.map