export interface IKeyValueStorage {
    get: <Data = string, K extends boolean = true, R = K extends true ? Data : string>(key: string, options?: {
        JSONparse?: K;
    }) => R | null;
    set: (key: string, value: string | object | number) => void;
    delete: (key: string) => void;
}
export interface ITemporaryStorage<Data> {
    get: (id: string) => Data | null;
    set: (id: string, data: (prev: Data) => Data) => void;
}
//# sourceMappingURL=Storage.d.ts.map