<div style="text-align: center;" align="center">

# eslint-plugin-vitest-globals

A extends of vitest globals for eslint

[![NPM version][npm-image]][npm-url]
[![Codacy Badge][codacy-image]][codacy-url]
[![Known Vulnerabilities][snyk-image]][snyk-url]
[![npm download][download-image]][download-url]
[![License][license-image]][license-url]

[![Sonar][sonar-image]][sonar-url]

<div style="text-align: center; margin-bottom: 20px;" align="center">

### **[Change Log](./CHANGELOG.md)**

</div>

</div>

## Installation

```bash
# by pnpm
pnpm i -D eslint-plugin-vitest-globals

# by npm
npm install -D eslint-plugin-vitest-globals
```

## Usage

1. Simply include eslint-plugin-vitest-globals into your eslint configuration file:

```json
{
  "extends": ["plugin:vitest-globals/recommended"],
  "env": {
    "vitest-globals/env": true
  }
}
```

2. or if you want to use it in override mode:

```json
{
  "extends": ["plugin:vitest-globals/recommended"],
  "overrides": [
    {
      "files": ["**/__tests__/*.{j,t}s?(x)", "**/*.spec.{j,t}s?(x)"],
      "env": {
        "vitest-globals/env": true
      }
    }
  ]
}
```

## Support & Issues

Please open an issue [here](https://github.com/saqqdy/eslint-plugin-vitest-globals/issues).

## License

[MIT](LICENSE)

[npm-image]: https://img.shields.io/npm/v/eslint-plugin-vitest-globals.svg?style=flat-square
[npm-url]: https://npmjs.org/package/eslint-plugin-vitest-globals
[codacy-image]: https://app.codacy.com/project/badge/Grade/f70d4880e4ad4f40aa970eb9ee9d0696
[codacy-url]: https://www.codacy.com/gh/saqqdy/eslint-plugin-vitest-globals/dashboard?utm_source=github.com&utm_medium=referral&utm_content=saqqdy/eslint-plugin-vitest-globals&utm_campaign=Badge_Grade
[snyk-image]: https://snyk.io/test/npm/eslint-plugin-vitest-globals/badge.svg?style=flat-square
[snyk-url]: https://snyk.io/test/npm/eslint-plugin-vitest-globals
[download-image]: https://img.shields.io/npm/dm/eslint-plugin-vitest-globals.svg?style=flat-square
[download-url]: https://npmjs.org/package/eslint-plugin-vitest-globals
[license-image]: https://img.shields.io/badge/License-MIT-blue.svg
[license-url]: LICENSE
[sonar-image]: https://sonarcloud.io/api/project_badges/quality_gate?project=saqqdy_eslint-plugin-vitest-globals
[sonar-url]: https://sonarcloud.io/dashboard?id=saqqdy_eslint-plugin-vitest-globals
